<?php
/**
 * Plugin Name: mobiTable
 * Plugin URI: http://www.markhawkinsdesigns.com/plugins/wordpress.html
 * Description:  mobiTable is a responsive plugin that rearranges your table into a much easier to navigate format for mobile devices by showing your table rows one touch/click at a time. Supports multiple tables per page.
 * Version: 0.1
 * Author: Mark Hawkins
 * Author URI: http://markhawkinsdesigns.com
 * License: GPL2
 */
 ?>
<?php 
 // ADD OUR SCRIPT & CSS FILES  ============================================ >>
function add_mobitable_file_paths() {	
  wp_enqueue_style( 'style', get_stylesheet_uri() );
  wp_enqueue_style( 'slider', plugin_dir_url( __FILE__ ) . 'css/mobiTable.css', array(), '1.1', 'all');   
                                                                                                      // set to false = put in header, true = put in footer
   wp_register_script('pr-jquery-ui',  plugin_dir_url( __FILE__ ) . 'js/mobiTable.wordpress.min.js',  array (), 0.2, true);
   wp_enqueue_script('pr-jquery-ui');
}
add_action( 'wp_enqueue_scripts', 'add_mobitable_file_paths' );
?>
<?php
// mobiTable CSS Settings
function mobitable_admin_style() {
	wp_enqueue_style( 'bf_grid', plugin_dir_url( __FILE__ ) . 'css/blufoot-rg.css', array(), '1.1', 'all');
	wp_enqueue_style( 'mobitable_styles', plugin_dir_url( __FILE__ ) . 'css/mobitable-settings.css', array(), '1.1', 'all');
}
    add_action('admin_enqueue_scripts', 'mobitable_admin_style');
    add_action('login_enqueue_scripts', 'mobitable_admin_style');

?>
<?php    
// ADD ADMIN SETTINGS MENU ================================================ >>
add_action( 'admin_menu', 'mobitable_plugin_menu' );
  function mobitable_plugin_menu(){		                                     //Name in Menu
	add_options_page( 'My Plugin Options', 'mobiTable', 'manage_options', 'testsettings', 'mobitable_settings_page' );
}
?>
<?php
// ADD SETTINGS FORM PAGE ============================================== >>
function mobitable_settings_page() {
    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }
    // variables for the field and option names 
    $mobitable_opt_name = 'table_class_names';
	$mobitable_opt_name2 = 'table_arrows_color';
	$mobitable_opt_name3 = 'table_nav_color';	
	$mobitable_opt_name4 = 'table_border_color';
	$mobitable_opt_name5 = 'mobile_width_break';
	
    $hidden_field_name = 'mt_submit_hidden';
	$hidden_field_name2 = 'mt_submit_hidden2';
	$hidden_field_name3 = 'mt_submit_hidden3';
	$hidden_field_name4 = 'mt_submit_hidden4';	
	$hidden_field_name5 = 'mt_submit_hidden5';
	
    $mobitable_field_name = 'table_class_names';
	$mobitable_field_name2 = 'table_arrows_color';
	$mobitable_field_name3 = 'table_nav_color';
	$mobitable_field_name4 = 'table_border_color';	
	$mobitable_field_name5 = 'mobile_width_break';	
	
    // Read in existing option value from database
    $opt_val = get_option( $mobitable_opt_name );
	$opt_val2 = get_option( $mobitable_opt_name2 );
	$opt_val3 = get_option( $mobitable_opt_name3 );
	$opt_val4 = get_option( $mobitable_opt_name4 );
    $opt_val5 = get_option( $mobitable_opt_name5 );
	
    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'Y' ) {
      
	    // Read their posted value
        $opt_val = $_POST[ $mobitable_field_name ];
		$opt_val2 = $_POST[ $mobitable_field_name2 ];
		$opt_val3 = $_POST[ $mobitable_field_name3 ];
		$opt_val4 = $_POST[ $mobitable_field_name4 ];
		$opt_val5 = $_POST[ $mobitable_field_name5 ];

        // Save the posted value in the database
        update_option( $mobitable_opt_name, $opt_val );
		update_option( $mobitable_opt_name2, $opt_val2 );
		update_option( $mobitable_opt_name3, $opt_val3 );
		update_option( $mobitable_opt_name4, $opt_val4 );
		update_option( $mobitable_opt_name5, $opt_val5 );
        // Put a "settings saved" message on the screen
		?>
<div class="updated"><p><strong><?php _e('settings saved.', 'mobitable-menu' ); ?></strong></p></div>
<?php }
//  FORM LAYOUT ============================================ >>
    // Now display the settings editing screen
    echo '<div class="wrap mobitable-settings">';
    // header
    echo "<h2>" . __( 'mobiTable Plugin Settings', 'mobitable-menu' ) . "</h2>";
    // settings form  
    ?>
<form name="mobitable_form" method="post" action="">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
<p>
<?php _e("<label>Table class names:</label> (example: mytable1, mytable2)", 'mobitable-menu' ); ?> 
<textarea type="text" name="<?php echo $mobitable_field_name; ?>" value="" style="width:100%;"><?php echo $opt_val; ?></textarea>
</p>


<hr />

<div class="w480_grid">
  <div class="w480_col-2">
  <p>
  <?php _e("<label>Nav arrows color:</label>", 'mobitable-menu2' ); ?> 
  <input type="text" name="<?php echo $mobitable_field_name2; ?>" value="<?php echo $opt_val2; ?>" size="20">
  </p>
  <p>
  <?php _e("<label>Nav background color:</label>", 'mobitable-menu3' ); ?> 
  <input type="text" name="<?php echo $mobitable_field_name3; ?>" value="<?php echo $opt_val3; ?>" size="20">
  </p>
  <p>
  <?php _e("<label>Border color:</label>", 'mobitable-menu4' ); ?> 
  <input type="text" name="<?php echo $mobitable_field_name4; ?>" value="<?php echo $opt_val4; ?>" size="20">
  </p>
  

  
  </div>
  <div class="w480_col-2">
  <p><strong>Color Settings</strong><br>Add custom colors to theme your tables. See color chart below for standard web colors or use your own custom colors.<br><br> 
  <a id="w3-color-chart-link" href="#">Web Color Chart</a></p> 

  
  
  
  
  <!-- xxxxxxxxxxxxxxxxxx HTML COLOR CHART  xxxxxxxxxxxxxxxxxxxxx -->
<div class="w3school-color-chart">
<strong>w3schools.com Color Chart</strong>

<table class="" style="max-width:300px;">
<tbody>
<tr>
<th style="width:40%">Color Name</th>
<th style="width:30%">HEX</th>
<th style="width:30%">Color</th>
</tr>

<tr>
<td>AliceBlue</td>
<td>#F0F8FF</td>
<td style="background-color:#F0F8FF">&nbsp;</td>
</tr>

<tr>
<td>AntiqueWhite</td>
<td>#FAEBD7</td>
<td style="background-color:#FAEBD7">&nbsp;</td>
</tr>

<tr>
<td>Aqua</td>
<td>#00FFFF</td>
<td style="background-color:#00FFFF">&nbsp;</td>
</tr>

<tr>
<td>Aquamarine</td>
<td>#7FFFD4</td>
<td style="background-color:#7FFFD4">&nbsp;</td>
</tr>

<tr>
<td>Azure&nbsp;</td>
<td>#F0FFFF</td>
<td style="background-color:#F0FFFF">&nbsp;</td>
</tr>

<tr>
<td>Beige</td>
<td>#F5F5DC</td>
<td style="background-color:#F5F5DC">&nbsp;</td>
</tr>

<tr>
<td>Bisque</td>
<td>#FFE4C4</td>
<td style="background-color:#FFE4C4">&nbsp;</td>
</tr>

<tr>
<td>Black</td>
<td>#000000</td>
<td style="background-color:#000000">&nbsp;</td>
</tr>

<tr>
<td>BlanchedAlmond</td>
<td>#FFEBCD</td>
<td style="background-color:#FFEBCD">&nbsp;</td>
</tr>

<tr>
<td>Blue</td>
<td>#0000FF</td>
<td style="background-color:#0000FF">&nbsp;</td>
</tr>

<tr>
<td>BlueViolet</td>
<td>#8A2BE2</td>
<td style="background-color:#8A2BE2">&nbsp;</td>
</tr>

<tr>
<td>Brown</td>
<td>#A52A2A</td>
<td style="background-color:#A52A2A">&nbsp;</td>
</tr>

<tr>
<td>BurlyWood</td>
<td>#DEB887</td>
<td style="background-color:#DEB887">&nbsp;</td>
</tr>

<tr>
<td>CadetBlue</td>
<td>#5F9EA0</td>
<td style="background-color:#5F9EA0">&nbsp;</td>
</tr>

<tr>
<td>Chartreuse</td>
<td>#7FFF00</td>
<td style="background-color:#7FFF00">&nbsp;</td>
</tr>

<tr>
<td>Chocolate</td>
<td>#D2691E</td>
<td style="background-color:#D2691E">&nbsp;</td>
</tr>

<tr>
<td>Coral</a>&nbsp;</td>
<td>#FF7F50</td>
<td style="background-color:#FF7F50">&nbsp;</td>
</tr>

<tr>
<td>CornflowerBlue&nbsp;</td>
<td>#6495ED</td>
<td style="background-color:#6495ED">&nbsp;</td>
</tr>

<tr>
<td>Cornsilk&nbsp;</td>
<td>#FFF8DC</td>
<td style="background-color:#FFF8DC">&nbsp;</td>
</tr>

<tr>
<td>Crimson&nbsp;</td>
<td>#DC143C</td>
<td style="background-color:#DC143C">&nbsp;</td>
</tr>

<tr>
<td>Cyan&nbsp;</td>
<td>#00FFFF</td>
<td style="background-color:#00FFFF">&nbsp;</td>
</tr>

<tr>
<td>DarkBlue&nbsp;</td>
<td>#00008B</td>
<td style="background-color:#00008B">&nbsp;</td>
</tr>

<tr>
<td>DarkCyan&nbsp;</td>
<td>#008B8B</td>
<td style="background-color:#008B8B">&nbsp;</td>
</tr>

<tr>
<td>DarkGoldenRod&nbsp;</td>
<td>#B8860B</td>
<td style="background-color:#B8860B">&nbsp;</td>
</tr>

<tr>
<td>DarkGray&nbsp;</td>
<td>#A9A9A9</td>
<td style="background-color:#A9A9A9">&nbsp;</td>
</tr>

<tr>
<td>DarkGrey&nbsp;</td>
<td>#A9A9A9</td>
<td style="background-color:#A9A9A9">&nbsp;</td>
</tr>

<tr>
<td>DarkGreen&nbsp;</td>
<td>#006400</td>
<td style="background-color:#006400">&nbsp;</td>
</tr>

<tr>
<td>DarkKhaki&nbsp;</td>
<td>#BDB76B</td>
<td style="background-color:#BDB76B">&nbsp;</td>
</tr>

<tr>
<td>DarkMagenta&nbsp;</td>
<td>#8B008B</td>
<td style="background-color:#8B008B">&nbsp;</td>
</tr>

<tr>
<td>DarkOliveGreen&nbsp;</td>
<td>#556B2F</td>
<td style="background-color:#556B2F">&nbsp;</td>
</tr>

<tr>
<td>DarkOrange&nbsp;</td>
<td>#FF8C00</td>
<td style="background-color:#FF8C00">&nbsp;</td>
</tr>

<tr>
<td>DarkOrchid&nbsp;</td>
<td>#9932CC</td>
<td style="background-color:#9932CC">&nbsp;</td>
</tr>

<tr>
<td>DarkRed&nbsp;</td>
<td>#8B0000</td>
<td style="background-color:#8B0000">&nbsp;</td>
</tr>

<tr>
<td>DarkSalmon&nbsp;</td>
<td>#E9967A</td>
<td style="background-color:#E9967A">&nbsp;</td>
</tr>

<tr>
<td>DarkSeaGreen&nbsp;</td>
<td>#8FBC8F</td>
<td style="background-color:#8FBC8F">&nbsp;</td>
</tr>

<tr>
<td>DarkSlateBlue&nbsp;</td>
<td>#483D8B</td>
<td style="background-color:#483D8B">&nbsp;</td>
</tr>

<tr>
<td>DarkSlateGray&nbsp;</td>
<td>#2F4F4F</td>
<td style="background-color:#2F4F4F">&nbsp;</td>
</tr>

<tr>
<td>DarkSlateGrey&nbsp;</td>
<td>#2F4F4F</td>
<td style="background-color:#2F4F4F">&nbsp;</td>
</tr>

<tr>
<td>DarkTurquoise&nbsp;</td>
<td>#00CED1</td>
<td style="background-color:#00CED1">&nbsp;</td>
</tr>

<tr>
<td>DarkViolet&nbsp;</td>
<td>#9400D3</td>
<td style="background-color:#9400D3">&nbsp;</td>
</tr>

<tr>
<td>DeepPink&nbsp;</td>
<td>#FF1493</td>
<td style="background-color:#FF1493">&nbsp;</td>
</tr>

<tr>
<td>DeepSkyBlue&nbsp;</td>
<td>#00BFFF</td>
<td style="background-color:#00BFFF">&nbsp;</td>
</tr>

<tr>
<td>DimGray&nbsp;</td>
<td>#696969</td>
<td style="background-color:#696969">&nbsp;</td>
</tr>

<tr>
<td>DimGrey&nbsp;</td>
<td>#696969</td>
<td style="background-color:#696969">&nbsp;</td>
</tr>

<tr>
<td>DodgerBlue&nbsp;</td>
<td>#1E90FF</td>
<td style="background-color:#1E90FF">&nbsp;</td>
</tr>

<tr>
<td>FireBrick&nbsp;</td>
<td>#B22222</td>
<td style="background-color:#B22222">&nbsp;</td>
</tr>

<tr>
<td>FloralWhite&nbsp;</td>
<td>#FFFAF0</td>
<td style="background-color:#FFFAF0">&nbsp;</td>
</tr>

<tr>
<td>ForestGreen&nbsp;</td>
<td>#228B22</td>
<td style="background-color:#228B22">&nbsp;</td>
</tr>

<tr>
<td>Fuchsia&nbsp;</td>
<td>#FF00FF</td>
<td style="background-color:#FF00FF">&nbsp;</td>
</tr>

<tr>
<td>Gainsboro&nbsp;</td>
<td>#DCDCDC</td>
<td style="background-color:#DCDCDC">&nbsp;</td>
</tr>

<tr>
<td>GhostWhite&nbsp;</td>
<td>#F8F8FF</td>
<td style="background-color:#F8F8FF">&nbsp;</td>
</tr>

<tr>
<td>Gold&nbsp;</td>
<td>#FFD700</td>
<td style="background-color:#FFD700">&nbsp;</td>
</tr>

<tr>
<td>GoldenRod&nbsp;</td>
<td>#DAA520</td>
<td style="background-color:#DAA520">&nbsp;</td>
</tr>

<tr>
<td>Gray&nbsp;</td>
<td>#808080</td>
<td style="background-color:#808080">&nbsp;</td>
</tr>

<tr>
<td>Grey&nbsp;</td>
<td>#808080</td>
<td style="background-color:#808080">&nbsp;</td>
</tr>

<tr>
<td>Green&nbsp;</td>
<td>#008000</td>
<td style="background-color:#008000">&nbsp;</td>
</tr>

<tr>
<td>GreenYellow&nbsp;</td>
<td>#ADFF2F</td>
<td style="background-color:#ADFF2F">&nbsp;</td>
</tr>

<tr>
<td>HoneyDew&nbsp;</td>
<td>#F0FFF0</td>
<td style="background-color:#F0FFF0">&nbsp;</td>
</tr>

<tr>
<td>HotPink&nbsp;</td>
<td>#FF69B4</td>
<td style="background-color:#FF69B4">&nbsp;</td>
</tr>

<tr>
<td>IndianRed &nbsp;</td>
<td>#CD5C5C</td>
<td style="background-color:#CD5C5C">&nbsp;</td>
</tr>

<tr>
<td>Indigo  &nbsp;</td>
<td>#4B0082</td>
<td style="background-color:#4B0082">&nbsp;</td>
</tr>

<tr>
<td>Ivory&nbsp;</td>
<td>#FFFFF0</td>
<td style="background-color:#FFFFF0">&nbsp;</td>
</tr>

<tr>
<td>Khaki&nbsp;</td>
<td>#F0E68C</td>
<td style="background-color:#F0E68C">&nbsp;</td>
</tr>

<tr>
<td>Lavender&nbsp;</td>
<td>#E6E6FA</td>
<td style="background-color:#E6E6FA">&nbsp;</td>
</tr>

<tr>
<td>LavenderBlush&nbsp;</td>
<td>#FFF0F5</td>
<td style="background-color:#FFF0F5">&nbsp;</td>
</tr>

<tr>
<td>LawnGreen&nbsp;</td>
<td>#7CFC00</td>
<td style="background-color:#7CFC00">&nbsp;</td>
</tr>

<tr>
<td>LemonChiffon&nbsp;</td>
<td>#FFFACD</td>
<td style="background-color:#FFFACD">&nbsp;</td>
</tr>

<tr>
<td>LightBlue&nbsp;</td>
<td>#ADD8E6</td>
<td style="background-color:#ADD8E6">&nbsp;</td>
</tr>

<tr>
<td>LightCoral&nbsp;</td>
<td>#F08080</td>
<td style="background-color:#F08080">&nbsp;</td>
</tr>

<tr>
<td>LightCyan&nbsp;</td>
<td>#E0FFFF</td>
<td style="background-color:#E0FFFF">&nbsp;</td>
</tr>

<tr>
<td>LightGoldenRodYellow&nbsp;</td>
<td>#FAFAD2</td>
<td style="background-color:#FAFAD2">&nbsp;</td>
</tr>

<tr>
<td>LightGray&nbsp;</td>
<td>#D3D3D3</td>
<td style="background-color:#D3D3D3">&nbsp;</td>
</tr>

<tr>
<td>LightGrey&nbsp;</td>
<td>#D3D3D3</td>
<td style="background-color:#D3D3D3">&nbsp;</td>
</tr>

<tr>
<td>LightGreen&nbsp;</td>
<td>#90EE90</td>
<td style="background-color:#90EE90">&nbsp;</td>
</tr>

<tr>
<td>LightPink&nbsp;</td>
<td>#FFB6C1</td>
<td style="background-color:#FFB6C1">&nbsp;</td>
</tr>

<tr>
<td>LightSalmon&nbsp;</td>
<td>#FFA07A</td>
<td style="background-color:#FFA07A">&nbsp;</td>
</tr>

<tr>
<td>LightSeaGreen&nbsp;</td>
<td>#20B2AA</td>
<td style="background-color:#20B2AA">&nbsp;</td>
</tr>

<tr>
<td>LightSkyBlue&nbsp;</td>
<td>#87CEFA</td>
<td style="background-color:#87CEFA">&nbsp;</td>
</tr>

<tr>
<td>LightSlateGray&nbsp;</td>
<td>#778899</td>
<td style="background-color:#778899">&nbsp;</td>
</tr>

<tr>
<td>LightSlateGrey&nbsp;</td>
<td>#778899</td>
<td style="background-color:#778899">&nbsp;</td>
</tr>

<tr>
<td>LightSteelBlue&nbsp;</td>
<td>#B0C4DE</td>
<td style="background-color:#B0C4DE">&nbsp;</td>
</tr>

<tr>
<td>LightYellow&nbsp;</td>
<td>#FFFFE0</td>
<td style="background-color:#FFFFE0">&nbsp;</td>
</tr>

<tr>
<td>Lime&nbsp;</td>
<td>#00FF00</td>
<td style="background-color:#00FF00">&nbsp;</td>
</tr>

<tr>
<td>LimeGreen&nbsp;</td>
<td>#32CD32</td>
<td style="background-color:#32CD32">&nbsp;</td>
</tr>

<tr>
<td>Linen&nbsp;</td>
<td>#FAF0E6</td>
<td style="background-color:#FAF0E6">&nbsp;</td>
</tr>

<tr>
<td>Magenta&nbsp;</td>
<td>#FF00FF</td>
<td style="background-color:#FF00FF">&nbsp;</td>
</tr>

<tr>
<td>Maroon&nbsp;</td>
<td>#800000</td>
<td style="background-color:#800000">&nbsp;</td>
</tr>

<tr>
<td>MediumAquaMarine&nbsp;</td>
<td>#66CDAA</td>
<td style="background-color:#66CDAA">&nbsp;</td>
</tr>

<tr>
<td>MediumBlue&nbsp;</td>
<td>#0000CD</td>
<td style="background-color:#0000CD">&nbsp;</td>
</tr>

<tr>
<td>MediumOrchid&nbsp;</td>
<td>#BA55D3</td>
<td style="background-color:#BA55D3">&nbsp;</td>
</tr>

<tr>
<td>MediumPurple&nbsp;</td>
<td>#9370DB</td>
<td style="background-color:#9370DB">&nbsp;</td>
</tr>

<tr>
<td>MediumSeaGreen&nbsp;</td>
<td>#3CB371</td>
<td style="background-color:#3CB371">&nbsp;</td>
</tr>

<tr>
<td>MediumSlateBlue&nbsp;</td>
<td>#7B68EE</td>
<td style="background-color:#7B68EE">&nbsp;</td>
</tr>

<tr>
<td>MediumSpringGreen&nbsp;</td>
<td>#00FA9A</td>
<td style="background-color:#00FA9A">&nbsp;</td>
</tr>

<tr>
<td>MediumTurquoise&nbsp;</td>
<td>#48D1CC</td>
<td style="background-color:#48D1CC">&nbsp;</td>
</tr>

<tr>
<td>MediumVioletRed&nbsp;</td>
<td>#C71585</td>
<td style="background-color:#C71585">&nbsp;</td>
</tr>

<tr>
<td>MidnightBlue&nbsp;</td>
<td>#191970</td>
<td style="background-color:#191970">&nbsp;</td>
</tr>

<tr>
<td>MintCream&nbsp;</td>
<td>#F5FFFA</td>
<td style="background-color:#F5FFFA">&nbsp;</td>
</tr>

<tr>
<td>MistyRose&nbsp;</td>
<td>#FFE4E1</td>
<td style="background-color:#FFE4E1">&nbsp;</td>
</tr>

<tr>
<td>Moccasin&nbsp;</td>
<td>#FFE4B5</td>
<td style="background-color:#FFE4B5">&nbsp;</td>
</tr>

<tr>
<td>NavajoWhite&nbsp;</td>
<td>#FFDEAD</td>
<td style="background-color:#FFDEAD">&nbsp;</td>
</tr>

<tr>
<td>Navy&nbsp;</td>
<td>#000080</td>
<td style="background-color:#000080">&nbsp;</td>
</tr>

<tr>
<td>OldLace&nbsp;</td>
<td>#FDF5E6</td>
<td style="background-color:#FDF5E6">&nbsp;</td>
</tr>

<tr>
<td>Olive&nbsp;</td>
<td>#808000</td>
<td style="background-color:#808000">&nbsp;</td>
</tr>

<tr>
<td>OliveDrab&nbsp;</td>
<td>#6B8E23</td>
<td style="background-color:#6B8E23">&nbsp;</td>
</tr>

<tr>
<td>Orange&nbsp;</td>
<td>#FFA500</td>
<td style="background-color:#FFA500">&nbsp;</td>
</tr>

<tr>
<td>OrangeRed&nbsp;</td>
<td>#FF4500</td>
<td style="background-color:#FF4500">&nbsp;</td>
</tr>

<tr>
<td>Orchid&nbsp;</td>
<td>#DA70D6</td>
<td style="background-color:#DA70D6">&nbsp;</td>
</tr>

<tr>
<td>PaleGoldenRod&nbsp;</td>
<td>#EEE8AA</td>
<td style="background-color:#EEE8AA">&nbsp;</td>
</tr>

<tr>
<td>PaleGreen&nbsp;</td>
<td>#98FB98</td>
<td style="background-color:#98FB98">&nbsp;</td>
</tr>

<tr>
<td>PaleTurquoise&nbsp;</td>
<td>#AFEEEE</td>
<td style="background-color:#AFEEEE">&nbsp;</td>
</tr>

<tr>
<td>PaleVioletRed&nbsp;</td>
<td>#DB7093</td>
<td style="background-color:#DB7093">&nbsp;</td>
</tr>

<tr>
<td>PapayaWhip&nbsp;</td>
<td>#FFEFD5</td>
<td style="background-color:#FFEFD5">&nbsp;</td>
</tr>

<tr>
<td>PeachPuff&nbsp;</td>
<td>#FFDAB9</td>
<td style="background-color:#FFDAB9">&nbsp;</td>
</tr>

<tr>
<td>Peru&nbsp;</td>
<td>#CD853F</td>
<td style="background-color:#CD853F">&nbsp;</td>
</tr>

<tr>
<td>Pink&nbsp;</td>
<td>#FFC0CB</td>
<td style="background-color:#FFC0CB">&nbsp;</td>
</tr>

<tr>
<td>Plum&nbsp;</td>
<td>#DDA0DD</td>
<td style="background-color:#DDA0DD">&nbsp;</td>
</tr>

<tr>
<td>PowderBlue&nbsp;</td>
<td>#B0E0E6</td>
<td style="background-color:#B0E0E6">&nbsp;</td>
</tr>

<tr>
<td>Purple&nbsp;</td>
<td>#800080</td>
<td style="background-color:#800080">&nbsp;</td>
</tr>

<tr>
<td>RebeccaPurple&nbsp;</td>
<td>#663399</td>
<td style="background-color:#663399">&nbsp;</td>
</tr>

<tr>
<td>Red&nbsp;</td>
<td>#FF0000</td>
<td style="background-color:#FF0000">&nbsp;</td>
</tr>

<tr>
<td>RosyBrown&nbsp;</td>
<td>#BC8F8F</td>
<td style="background-color:#BC8F8F">&nbsp;</td>
</tr>

<tr>
<td>RoyalBlue&nbsp;</td>
<td>#4169E1</td>
<td style="background-color:#4169E1">&nbsp;</td>
</tr>

<tr>
<td>SaddleBrown&nbsp;</td>
<td>#8B4513</td>
<td style="background-color:#8B4513">&nbsp;</td>
</tr>

<tr>
<td>Salmon&nbsp;</td>
<td>#FA8072</td>
<td style="background-color:#FA8072">&nbsp;</td>
</tr>

<tr>
<td>SandyBrown&nbsp;</td>
<td>#F4A460</td>
<td style="background-color:#F4A460">&nbsp;</td>
</tr>

<tr>
<td>SeaGreen&nbsp;</td>
<td>#2E8B57</td>
<td style="background-color:#2E8B57">&nbsp;</td>
</tr>

<tr>
<td>SeaShell&nbsp;</td>
<td>#FFF5EE</td>
<td style="background-color:#FFF5EE">&nbsp;</td>
</tr>

<tr>
<td>Sienna&nbsp;</td>
<td>#A0522D</td>
<td style="background-color:#A0522D">&nbsp;</td>
</tr>

<tr>
<td>Silver&nbsp;</td>
<td>#C0C0C0</td>
<td style="background-color:#C0C0C0">&nbsp;</td>
</tr>

<tr>
<td>SkyBlue&nbsp;</td>
<td>#87CEEB</td>
<td style="background-color:#87CEEB">&nbsp;</td>
</tr>

<tr>
<td>SlateBlue&nbsp;</td>
<td>#6A5ACD</td>
<td style="background-color:#6A5ACD">&nbsp;</td>
</tr>

<tr>
<td>SlateGray&nbsp;</td>
<td>#708090</td>
<td style="background-color:#708090">&nbsp;</td>
</tr>

<tr>
<td>SlateGrey&nbsp;</td>
<td>#708090</td>
<td style="background-color:#708090">&nbsp;</td>
</tr>

<tr>
<td>Snow&nbsp;</td>
<td>#FFFAFA</td>
<td style="background-color:#FFFAFA">&nbsp;</td>
</tr>

<tr>
<td>SpringGreen&nbsp;</td>
<td>#00FF7F</td>
<td style="background-color:#00FF7F">&nbsp;</td>
</tr>

<tr>
<td>SteelBlue&nbsp;</td>
<td>#4682B4</td>
<td style="background-color:#4682B4">&nbsp;</td>
</tr>

<tr>
<td>Tan&nbsp;</td>
<td>#D2B48C</td>
<td style="background-color:#D2B48C">&nbsp;</td>
</tr>

<tr>
<td>Teal&nbsp;</td>
<td>#008080</td>
<td style="background-color:#008080">&nbsp;</td>
</tr>

<tr>
<td>Thistle&nbsp;</td>
<td>#D8BFD8</td>
<td style="background-color:#D8BFD8">&nbsp;</td>
</tr>

<tr>
<td>Tomato&nbsp;</td>
<td>#FF6347</td>
<td style="background-color:#FF6347">&nbsp;</td>
</tr>

<tr>
<td>Turquoise&nbsp;</td>
<td>#40E0D0</td>
<td style="background-color:#40E0D0">&nbsp;</td>
</tr>

<tr>
<td>Violet&nbsp;</td>
<td>#EE82EE</td>
<td style="background-color:#EE82EE">&nbsp;</td>
</tr>

<tr>
<td>Wheat&nbsp;</td>
<td>#F5DEB3</td>
<td style="background-color:#F5DEB3">&nbsp;</td>
</tr>

<tr>
<td>White&nbsp;</td>
<td>#FFFFFF</td>
<td style="background-color:#FFFFFF">&nbsp;</td>
</tr>

<tr>
<td>WhiteSmoke&nbsp;</td>
<td>#F5F5F5</td>
<td style="background-color:#F5F5F5">&nbsp;</td>
</tr>

<tr>
<td>Yellow&nbsp;</td>
<td>#FFFF00</td>
<td style="background-color:#FFFF00">&nbsp;</td>
</tr>

<tr>
<td>YellowGreen&nbsp;</td>
<td>#9ACD32</td>
<td style="background-color:#9ACD32">&nbsp;</td>
</tr>

</tbody>
</table>
</div>

<!-- xxxxxxxxxxxxxxxx end of HTML COLOR CHART xxxxxxxxxxxxxxxxxxxxxxx -->

  
  
  
  </div>
</div>





<hr />


<div class="w480_grid">
  <div class="w480_col-2">
  <p>
  <?php _e("<label>Mobile Trigger Width:</label>", 'mobitable-menu5' ); ?> 
  <input type="text" name="<?php echo $mobitable_field_name5; ?>" value="<?php echo $opt_val5; ?>" size="20">
  </p> 
  
  </div>
  <div class="w480_col-2">
    <p>Set the trigger point here. This triggers the table to change to mobiTable at a specific width. Example widths are; 480, 640, 768, 1024.</p>
  </div>
  </div>




<hr />
<p class="submit">
<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
</p>
</form>
</div>

<script>
jQuery( "#w3-color-chart-link" ).click(function() {
  jQuery( ".w3school-color-chart" ).slideToggle( "slow", function() {
    // Animation complete.
  });
});
</script>
<?php
}?>
<?php
// ADD JQUERY SETTINGS TO PAGE =========================================== >>
function mt_insert_options_vars() {	
$my_table_class = get_option('table_class_names');
$mwb_class = get_option('mobile_width_break');

$my_table_class = preg_replace('/\.$/', '', $my_table_class); //Remove dot at end if exists
$array = explode(', ', $my_table_class); //split string into array seperated by ', '


//loop over values
   foreach($array as $value){
    //print value
	echo "<script>jQuery('." . $value  . "').mobiTable({mobileWidth: ".  $mwb_class ."});</script>";
    }
}

add_action( 'wp_footer', 'mt_insert_options_vars', 21 );
?>
<?php
// ADD OUR COLOR SETTINGS ============================================= >>
function mt_add_settings_styles(){
$mt_arrow_color = get_option('table_arrows_color');
$mt_nav_bar_color = get_option('table_nav_color');
$mt_table_border_color = get_option('table_border_color');	
	
echo '<script>

        jQuery(".mobitable-nav svg").css("fill", " ' . $mt_arrow_color  .' ");
		jQuery(".mobitable-nav").css("background", " ' . $mt_nav_bar_color  .' ");
		jQuery(".mobitable-nav").css("border-color", " ' . $mt_table_border_color  .' ");
		jQuery(".mobitable").css("border-color", " ' . $mt_table_border_color  .' ");
		var mt_border_color_is = " ' . $mt_table_border_color . ' ";
		jQuery(".mt-down, .mt-up").on("click tap", function() {
			jQuery(".mobitable td").css("border-color", mt_border_color_is);
		});
		jQuery(".mobitable td").css("border-color", " ' . $mt_table_border_color . ' ");
</script>';
}
add_action( 'wp_footer', 'mt_add_settings_styles', 22 );
?>